#include "tkInt.h"

#ifdef TCL_STANDALONE

static char *script[] = {
#include "../library/tk.c"
#include "../library/console.c"
#include "../library/dialog.c"
#include "../library/focus.c"
#include "../library/obsolete.c"
#include "../library/optMenu.c"
#include "../library/palette.c"
#include "../library/tearoff.c"
#include "../library/bgerror.c"
(char *) NULL
};
static char *post_script[] = {
#include "../library/prolog.c"
(char *) NULL
};

int
Tk_InitStandAlone(interp)
    Tcl_Interp *interp;
{
    TkSetInitScript(script);
    TkSetPostScript(post_script);
    return Tk_Init(interp);
}

#else

int
Tk_InitStandAlone(interp)
    Tcl_Interp *interp;
{
    Tcl_AppendResult(interp,
	"The function \"Tk_InitStandAlone\" is not available in\n",
	"the shared Tk library. Link your standalone application\n",
	"with the static Tk library (libtk",TK_VERSION,
	".a) explicitely",(char *) NULL);
    return TCL_ERROR;
}
#endif
